Subject: Re: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Jan Djärv <[email-masked]>
Date: Sun, 9 Mar 2014 14:27:56 +0100

Hello.

11 feb 2014 kl. 07:03 skrev Jan Djärv <[email-masked]>:

> Hi.
> 
> 9 feb 2014 kl. 20:43 skrev Stefan Monnier <[email-masked]>:
> 
>>>> -  Fset_input_interrupt_mode (Qnil);
>>>> +  Fset_input_interrupt_mode (Qt);
>>> That reverses a change made 2009-01-29 10:36:22 +0000 by Adrian Robert in
>>> trunk bzr 94305.  The ChangeLog entry doesn't say why the change was made.
>>> I'll CC: this to Adrian to see whether he can explain.  Adrian, the context
>>> for this email can be found at:
>> 
>> I think Jan made changes in that area since then, so he may be able to
>> bring some light to this subject.
>> 
>> Jan?
> 
> The input loop is redone, but I haven't made changes in interrupt mode.
> It may be that is works better now.

I think the reason for polling on NS is that when doing things like
M-! sleep 1000

Emacs reads the output from the process in a loop.  This loop never allows the NS event loop to run, so C-g or any other key is not detected, thus it can't be interrupted.
I suspect it is similar for a lisp loop.

	Jan D.

	Jan D.